/*************************************************************************************
#
#	Color Search Procs.h
#	
#	This file defines a number of commonly used color search procs.  For the encoder,
#   we only use one of the procs, which returns white if the color of a pixel is within
#   a certain delta of a key color, and returns black for all other cases.  We can use
#   this to quickly create masks of an image.
#   
#
#	Author: Timothy Carroll
#	Apple Developer Technical Support
#	timc@apple.com
#
#	Modification History: 
#
#	8/15/96		TMC 	Initial Release
#
#	Copyright  1996 Apple Computer, Inc., All Rights Reserved
#
#
#	You may incorporate this sample code into your applications without
#	restriction, though the sample code has been provided "AS IS" and the
#	responsibility for its operation is 100% yours.  However, what you are
#	not permitted to do is to redistribute the source as "DSC Sample Code"
#	after having made changes. If you're going to re-distribute the source,
#	we require that you make it clear in the source that the code was
#	descended from Apple Sample Code, but that you've made changes.
#
*************************************************************************************/


#ifndef _COLORSEARCHPROC_
#define _COLORSEARCHPROC_

#pragma once

extern ColorSearchUPP MaskSearchProcUPP;
extern ColorSearchUPP LightenSearchProcUPP;
extern ColorSearchUPP DarkenSearchProcUPP;

extern RGBColor gMaskColor;
extern SInt32	gSearchDelta;


#endif // _COLORSEARCHPROC_

